Bug 164400 - Dhcpd init script is not cluster aware
Dhcpd init script is not cluster aware
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dhcp (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks: 164519 168429
  Show dependency treegraph
 
Reported: 2005-07-27 13:10 EDT by Josef Bacik
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0114
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:14:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to make the init script cluster friendly. (919 bytes, patch)
2005-07-27 13:12 EDT, Josef Bacik
no flags Details | Diff

  None (edit)
Description Josef Bacik 2005-07-27 13:10:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
When setting up dhcp as a clustered service, cluster suite will start the service and report that the service is running, however the service will not actually be running..

Version-Release number of selected component (if applicable):
dhcp-3.0.1-12_EL

How reproducible:
Always

Steps to Reproduce:
1.Setup dhcpd as a clustered service
2.Try to start the service
3.
  

Actual Results:  Cluster suite says that the service starts, but the service is never actually running.

Expected Results:  dhcpd should start

Additional info:

I am attatching a patch that allowed it to start properly.
Comment 1 Josef Bacik 2005-07-27 13:12:07 EDT
Created attachment 117199 [details]
A patch to make the init script cluster friendly.
Comment 2 Jason Vas Dias 2005-07-27 13:34:29 EDT
This is actually fixed with the current dhcp-3.0.1-40_EL4 version submitted
to RHEL-4, and available from:
   http://people.redhat.com/~jvdias/dhcp/RHEL-4/
Owing to lack of QA budget, this update has not been scheduled for any RHEL-4
release. If you would like RHEL-4 dhcpd to be cluster aware, please contact your
Red Hat account manager / product managment.
BTW, your patch does not take account of the dhcpd '-cf' argument in configtest,
which the 40_EL4 version does.
Comment 3 Jason Vas Dias 2005-07-28 10:48:51 EDT
This is fixed with dhcp-3.0.1-40_EL4 (errata RHBA-2005:161 (RHEL-4)) and 
dhcp-3.0.1-40_EL3 (errata RHBA-2005:162 (RHEL-3)), both of which have been
"Defferred" by QE management.
Comment 9 Red Hat Bugzilla 2006-03-07 13:14:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0114.html

Note You need to log in before you can comment on or make changes to this bug.